[SRU] stein stable releases

Bug #1853319 reported by Corey Bryant on 2019-11-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Stein
High
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Disco
High
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Disco
High
Unassigned
neutron-lbaas (Ubuntu)
Undecided
Unassigned
Disco
High
Unassigned
octavia (Ubuntu)
Undecided
Unassigned
Disco
High
Unassigned

Bug Description

[Impact]
This release sports mostly bug-fixes and we would like to make sure all of our supported customers have access to these improvements. The update contains the following package updates:

horizon 15.1.1
neutron 14.0.3
neutron-lbaas 14.0.1
octavia 4.1.0

[Test Case]
The following SRU process was followed:
https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]
n/a

CVE References

no longer affects: swift
no longer affects: swift (Ubuntu)
Changed in cloud-archive:
status: New → Invalid
description: updated
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in neutron-lbaas (Ubuntu):
status: New → Invalid
Changed in octavia (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu Disco):
importance: Undecided → High
status: New → Triaged
Changed in neutron (Ubuntu Disco):
importance: Undecided → High
status: New → Triaged
Changed in neutron-lbaas (Ubuntu Disco):
importance: Undecided → High
status: New → Triaged
Changed in octavia (Ubuntu Disco):
importance: Undecided → High
status: New → Triaged
description: updated
Corey Bryant (corey.bryant) wrote :

Thanks Sahid. All are in the disco unapproved queue now: https://launchpad.net/ubuntu/disco/+queue?queue_state=1

Hello Corey, or anyone else affected,

Accepted horizon into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/3:15.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in horizon (Ubuntu Disco):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in neutron (Ubuntu Disco):
status: Triaged → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:14.0.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in neutron-lbaas (Ubuntu Disco):
status: Triaged → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-lbaas into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-lbaas/2:14.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in octavia (Ubuntu Disco):
status: Triaged → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Corey, or anyone else affected,

Accepted octavia into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/octavia/4.1.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/3:15.1.1-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into stein-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:stein-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-stein-needed to verification-stein-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-stein-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-stein-needed
Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into stein-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:stein-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-stein-needed to verification-stein-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-stein-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-lbaas into stein-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:stein-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-stein-needed to verification-stein-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-stein-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted octavia into stein-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:stein-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-stein-needed to verification-stein-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-stein-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

======
Totals
======
Ran: 92 tests in 952.0000 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 442.5896 sec.

tags: added: verification-done verification-done-disco
removed: verification-needed verification-needed-disco verification-stein-needed

Re-tested as-well as sanity checked horizon. created volumes, instances, attached volume to instance.

Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 438.8245 sec.

Dr. Jens Harbott (j-harbott) wrote :

Neutron released 14.0.4 in the meantime, do you want to include that update here or will that go into a new bug?

Corey Bryant (corey.bryant) wrote :

Looks like verification-stein-needed tag got removed and I'm not sure if it was tested. It seems that only disco-proposed was tested from what I can gather.

Corey Bryant (corey.bryant) wrote :

@Dr. Jens, I think I already communicated this with you, but for other folks sake if they drive by, we are working on further point releases for stein via https://bugs.launchpad.net/cloud-archive/+bug/1858934.

Corey Bryant (corey.bryant) wrote :

Verified successfully on stein-proposed:

======
Totals
======
Ran: 92 tests in 998.9570 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 465.6795 sec.

Corey Bryant (corey.bryant) wrote :

I've also tested the dashboard successfully with some manual testing on stein-proposed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 3:15.1.1-0ubuntu1.1

---------------
horizon (3:15.1.1-0ubuntu1.1) disco; urgency=medium

  * No change rebuild to pick up xstatic orig tarball.

horizon (3:15.1.1-0ubuntu1) disco; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1853319).
  * d/p/ubuntu_settings.patch: Refresh.
  * d/p/lp1840465.patch: Dropped. Fixed in upstream 15.1.1.

 -- Corey Bryant <email address hidden> Fri, 13 Dec 2019 08:04:45 -0500

Changed in horizon (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for neutron-lbaas has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octavia - 4.1.0-0ubuntu1

---------------
octavia (4.1.0-0ubuntu1) disco; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1853319).
  * d/p/CVE-2019-17134.patch: Dropped. Fixed in 4.1.0.

 -- Sahid Orentino Ferdjaoui <email address hidden> Tue, 03 Dec 2019 12:03:53 +0100

Changed in octavia (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-lbaas - 2:14.0.1-0ubuntu1

---------------
neutron-lbaas (2:14.0.1-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Stein (LP: #1853319).

 -- Sahid Orentino Ferdjaoui <email address hidden> Tue, 03 Dec 2019 11:59:02 +0100

Changed in neutron-lbaas (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:14.0.3-0ubuntu1

---------------
neutron (2:14.0.3-0ubuntu1) disco; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1853319).

 -- Sahid Orentino Ferdjaoui <email address hidden> Tue, 03 Dec 2019 11:46:34 +0100

Changed in neutron (Ubuntu Disco):
status: Fix Committed → Fix Released
Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package horizon - 3:15.1.1-0ubuntu1.1~cloud0
---------------

 horizon (3:15.1.1-0ubuntu1.1~cloud0) bionic-stein; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 horizon (3:15.1.1-0ubuntu1.1) disco; urgency=medium
 .
   * No change rebuild to pick up xstatic orig tarball.
 .
 horizon (3:15.1.1-0ubuntu1) disco; urgency=medium
 .
   * New stable point release for OpenStack Stein (LP: #1853319).
   * d/p/ubuntu_settings.patch: Refresh.
   * d/p/lp1840465.patch: Dropped. Fixed in upstream 15.1.1.

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package neutron - 2:14.0.3-0ubuntu1~cloud0
---------------

 neutron (2:14.0.3-0ubuntu1~cloud0) bionic-stein; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron (2:14.0.3-0ubuntu1) disco; urgency=medium
 .
   * New stable point release for OpenStack Stein (LP: #1853319).

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for neutron-lbaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package neutron-lbaas - 2:14.0.1-0ubuntu1~cloud0
---------------

 neutron-lbaas (2:14.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-lbaas (2:14.0.1-0ubuntu1) disco; urgency=medium
 .
   [ Corey Bryant ]
   * d/gbp.conf: Create stable/stein branch.
 .
   [ Sahid Orentino Ferdjaoui ]
   * New stable point release for OpenStack Stein (LP: #1853319).

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for octavia has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package octavia - 4.1.0-0ubuntu1~cloud0
---------------

 octavia (4.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 octavia (4.1.0-0ubuntu1) disco; urgency=medium
 .
   * New stable point release for OpenStack Stein (LP: #1853319).
   * d/p/CVE-2019-17134.patch: Dropped. Fixed in 4.1.0.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers